import {RequiredCommonInfo} from '@app/contexts/CommonContext';
import ENV from '@common/env/env.ts';

/**
 * @description: 直接根据环境类型获得环境的配置
 * @param env 环境类型
 * @return 具体某个环境的配置对象
 */
function getEnvUrl(env: RequiredCommonInfo['env']) {
  if (ENV.filter(e => e.env === 'production').length === 0) {
    throw new Error('"production" environment must be specified!');
  }

  const envs = ENV.filter(e => e.env === env);
  if (envs.length > 0) {
    return envs[0];
  }
  return ENV.filter(e => e.env === 'production')[0];
}

export {getEnvUrl};
